## R-1.3.1.tgz

=== src/gnuwin32/fixed/Makefile ===
include ../MkRules

all: profiles fixh fixhtml fixbin fixetc fixshare

profiles: ../../../library/base/R/Rprofile

../../../library/base/R/Rprofile:  ../../library/profile/Common.R \
../../library/profile/Rprofile.gnw
	@$(ECHO) -------- Building $@ from $^--------
	mkdir -p ../../../library/base/R
	$(CAT)  $^ > $@


SED0='/^\#/d'
SED01='/Rsockfork/d'
SED1='s/F77_SUBROUTINE(\(.*\))/void * \1_();/'
SED2='s/C_FUNCTION(\(.*\))/void * \1();/'
SED3='s/F77_SUBROUTINE(\(.*\))/	{ "\1_",	\1_},/'
SED4='s/C_FUNCTION(\(.*\))/{ "\1",	\1 },/'

../FFDecl.h: ../../appl/ROUTINES
	$(SED) -e $(SED0) -e $(SED01) -e $(SED1) -e $(SED2) $< > $@
../FFTab.h: ../../appl/ROUTINES
	$(SED) -e $(SED0) -e $(SED01) -e $(SED3) -e $(SED4) $< > $@


fixh: h/config.h ../FFDecl.h ../FFTab.h \
  ../../include/Rconfig.h ../../include/Rversion.h
	$(CP) -p ./h/config.h ./h/psignal.h ../../include
	$(ECHO) done > fixh

../../include/Rconfig.h: h/config.h
	$(SED) -e 1d ../../../tools/GETCONFIG > GC
	(cd h; sh ../GC > ../../../include/Rconfig.h)
	$(RM) GC

../../include/Rversion.h: ../../../date-stamp ../../../VERSION
	$(SED) -e 1d ../../../tools/GETVERSION > ../../../tools/GV
	sh ../../../tools/GV > $@
	$(RM) ../../../tools/GV

../../../bin/massage-Examples: ../../../share/perl/massage-Examples.pl
	$(SED) -e 's/"contr.poly")/"contr.poly"), pager="console"/' $< > $@

../../../bin/check: ../../scripts/check.in
	$(SED) -e 1d -e "s/R CMD/Rcmd/" $< > $@

../../../bin/build: ../../scripts/build.in
	$(SED) -e 1d -e "s/R CMD/Rcmd/" $< > $@

../../../bin/Sd2Rd: ../../scripts/Sd2Rd.in
	$(SED) -e 1d -e "s/R CMD/Rcmd/" $< > $@

../../../bin/Rdconv: ../../scripts/Rdconv.in
	$(SED) -e 1d -e s/\"unix\"/\"windows\"/ -e "s/R CMD/Rcmd/" $< > $@

../../../bin/Rdindex: ../../scripts/Rdindex.in
	$(SED) -e 1d -e s/\"unix\"/\"windows\"/ -e "s/R CMD/Rcmd/" $< > $@

../../../bin/Rdiff.sh: ../../scripts/Rdiff
	$(SED) -e 1d $< > $@

../../../bin/Rprof: ../../scripts/Rprof.in
	$(SED) -e 1d -e "s/R CMD/Rcmd/" $< > $@

fixbin: ../../../bin/massage-Examples ../../../bin/build \
	   ../../../bin/check ../../../bin/Rdconv ../../../bin/Rdindex \
	   ../../../bin/Sd2Rd ../../../bin/Rdiff.sh ../../../bin/Rprof cp2bin
	$(ECHO) done > fixbin

cp2bin: $(filter-out ./bin/CVS, $(wildcard ./bin/*))
	zip -q bins $^
	unzip -oaq bins -d  ../../..
	$(RM) bins.zip

fixhtml: $(wildcard ./html/*.html) ../../../doc/html/search/SearchEngine.html
	$(CP) -p ./html/*.html ../../../doc/html
	$(ECHO) done > fixhtml

fixetc: $(filter-out ./etc/CVS, $(wildcard ./etc/*))
	$(CP) -p $^ ../../../etc
	$(ECHO) done > fixetc

fixshare: ./share/tests.mk
	$(MKDIR) -p ../../../share/make
	$(CP) -p $^ ../../../share/make
	$(ECHO) done > fixshare	

clean:
	$(RM) *~ */*~ fixhtml fixh fixbin fixetc fixshare

../../../doc/html/search/SearchEngine.html:../../../doc/KEYWORDS.db
	(cd ../../../doc; \
	cat html/search/SearchEngine-head.html > html/search/SearchEngine.html; \
	perl ../tools/keywords2html.pl KEYWORDS.db >> html/search/SearchEngine.html; \
	cat html/search/SearchEngine-foot.html >> html/search/SearchEngine.html)

=== debian/changelog ===
r-base (1.3.1-0) unstable; urgency=low

  * Test builds for new upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Fri, 24 Aug 2001 12:41:09 -0500

r-base (1.3.0-4) unstable; urgency=low

  * Non-maintainer brown-bag release
  * debian/control: Revert back to tcl and tk version 8.0
  * debian/rules: Split off distinct configure and make targets

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Aug 2001 09:30:17 -0500

r-base (1.3.0-3) unstable; urgency=low

  * Non-maintainer upload, coordinated with the maintainer
  * debian/rules: Default to --with-blas=blas (available on 9 architectures), 
    Atlas can dynamically override this where available (Closes: #105366)
  * debian/control: Changed atlas reference to blas for Build-Depends,
    requires versioned Build-Depends on blas-dev (>= 1.0-9) 
  * debian/rules: Added link for manual below r-base/doc (Closes: #106315)
  * debian/control: Upgraded Build-Depends: on tk and tcl to versions 8.3
  * debian/control: Upgraded Standards-Version: to 3.5.0
  * debian/control: Added r-recommended to Suggests:
  * debian/rules: Remove modules/*.so on clean
  * debian/README.Atlas: Added simple README file on Atlas
  * doc/manual/Makefile.in: Added --no-split to makeinfo --html calls
  * config.site: gcc-3.0 removed in -2 (Closes: #109030)
  * debian/control: Make was added to Depends in -2 (Closes: #102831)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 21 Aug 2001 22:33:00 -0500

r-base (1.3.0-2) unstable; urgency=low

  * Changed compiler back to gcc from gcc-3.0
  * Added dependency of r-base-dev on make (Closes: #102831)
  * Removed dependency of r-base-dev on wget|lynx

 -- Douglas Bates <bates@stat.wisc.edu>  Fri,  6 Jul 2001 17:33:20 -0500

r-base (1.3.0-1) unstable; urgency=low

  * New upstream release
  * Changed build-depends on groff to groff-base
  * Changed build of r-gnome package for R's new module architecture
  * Added Dirk E.'s changes to rules and control so atlas is used only on
    selected architectures.

 -- Douglas Bates <bates@stat.wisc.edu>  Fri, 29 Jun 2001 09:29:47 -0500

r-base (1.2.3-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Sun, 20 May 2001 20:51:58 -0500

r-base (1.2.2-2) unstable; urgency=low

  * Corrected format of Closes line (see 1.2.2-1). (Closes: #83876)
  * Added more build-depends entries.  (Closes: #89267)

 -- Douglas Bates <bates@stat.wisc.edu>  Sun, 11 Mar 2001 10:26:36 -0600

r-base (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * Added build-depends entries. (Closes #83876)

 -- Douglas Bates <bates@stat.wisc.edu>  Tue, 27 Feb 2001 12:50:13 -0600

r-base (1.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Douglas Bates <bates@stat.wisc.edu>  Mon, 15 Jan 2001 07:01:21 -0600

r-base (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Added the r-base-dev package to create the correct dependencies for
    installing R packages from CRAN (Comprehensive R Archive Network)

 -- Douglas Bates <bates@stat.wisc.edu>  Fri, 15 Dec 2000 07:20:51 -0600
    

r-base (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Douglas Bates <bates@stat.wisc.edu>  Sat, 17 Jun 2000 13:11:26 -0500

r-base (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Includes fix for problem with xaxt and yaxt (Closes #61984)

 -- Douglas Bates <bates@stat.wisc.edu>  Sun, 16 Apr 2000 13:50:06 -0500

r-base (1.0.0-2) unstable; urgency=low

  * The pdf documentation is now in a new package r-doc-pdf
  * A GNOME-enabled version is available in a new package r-gnome (Closes #44503)
  * debian/{rules,control}: Modified accordingly
  * Thanks to Dirk Eddelbuettel who did most of the work for this.

 -- Douglas Bates <bates@stat.wisc.edu>  Thu, 16 Mar 2000 16:28:07 -0600

r-base (1.0.0-1) unstable; urgency=low

  * New upstream version
  * Fixed names of info files, readline support (Closes: #57774)
  * Added pdf files to doc directory (Closes: #20227)

 -- Douglas Bates <bates@stat.wisc.edu>  Thu,  9 Mar 2000 16:28:29 -0600

r-base (0.99.0-2) unstable; urgency=low

  * Small but important bug fixes in upstream sources
  * Removed dependence on atlas2 - using blas1 instead
  * Recompiled to use the readline library

 -- Douglas Bates <bates@stat.wisc.edu>  Sun, 13 Feb 2000 14:23:25 -0600

r-base (0.99.0-1) unstable; urgency=low

  * New upstream release
  * Added creation and installation of info documentation
  * Created the PDF documentation and added it to the doc directory
  * Added dependence on the atlas2 package and used the atlas blas
  * Added /usr/bin/X11 to the path before configuring so imake is found

 -- Douglas Bates <bates@stat.wisc.edu>  Mon,  7 Feb 2000 10:36:44 -0600

r-base (0.90.1-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Tue, 14 Dec 1999 10:51:10 -0600

r-base (0.90.0-2) unstable; urgency=low

  * added Conflicts: r-cran in control (Closes: #51673)
  * Reinstated -Xfoo flags in call to dh_md5sums for Bug#35744
  * Set up --mandir so package builds with -rfakeroot (Closes: #51901)
  * Undid Dirk's marking of Rd2txt.1 Rdindex.1 Sd2Rd.1 as undocumented
    (the manual pages are symbolic links to the Rdconv.1 page)
  
 -- Douglas Bates <bates@stat.wisc.edu>  Sun,  5 Dec 1999 15:03:52 -0600

r-base (0.90.0-1) unstable; urgency=low

  * Non-maintainer upload dealing with the usr/doc to usr/share/doc
    transition, as well as a  few other lintian errors and warnings 
  * debian/postinst: added #DEBHELPER# stub
  * debian/rules: configure with mandir=/usr/share/man
  * debian/rules: remove extra licenses 
  * debian/rules: also install docs BUGS PLATFORMS VERSION Y2K
  * debian/rules: mark Rd2txt.1 Rdindex.1 Sd2Rd.1 as undocumented
  * debian/dirs: change usr/doc to usr/share/doc
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Nov 1999 20:46:56 -0500

r-base (0.90.0-0) unstable; urgency=low

  * new upstream release


=== debian/control ===
Source: r-base
Section: math
Priority: optional
Maintainer: Douglas Bates <bates@stat.wisc.edu>
Standards-Version: 3.5.0
Build-depends: blas-dev (>= 1.0-9), libgnome-dev, tcl8.0-dev, tk8.0-dev, libglade-gnome0-dev, bison, g77, groff-base, libncurses5-dev, libreadline4-dev, tetex-bin, tetex-extra, debhelper

Package: r-base
Architecture: any
Depends: perl5, zlib-bin, ${shlibs:Depends}
Conflicts: r-cran
Suggests: g77, libpaperg, ess, r-recommended
Description: `GNU S' - A language and environment for statistical computing.
 R is described by its authors as "not unlike" S, which is a language
 developed at Bell Laboratories for statistical computing and graphics.
 It provides support for a variety of statistical and graphical analyses.
 R is a true computer language which contains a number of control-flow
 constructions for iteration and alternation.  It allows users to add
 additional functionality by defining new functions.  Fortran and C
 code can be linked and called at run time.
 .
 S is the statistician's Matlab and R is to S what Octave is to Matlab.
 .
 Versions 0.90.0 and higher have R functions CRAN.packages, install.packages,
 and update.packages that can be used to select and update R packages from the
 Comprehensive R Archive Network.  The Debian packages r-cran, r-cran-non-free,
 and r-mlbench are no longer needed and have been withdrawn.

Package: r-gnome
Architecture: any
Depends: r-base (= ${Source-Version}), ${shlibs:Depends}
Description: `GNU S' - GNOME-enabled executable
 R is described by its authors as "not unlike" S, which is a language
 developed at Bell Laboratories for statistical computing and graphics.
 It provides support for a variety of statistical and graphical analyses.
 R is a true computer language which contains a number of control-flow
 constructions for iteration and alternation.  It allows users to add
 additional functionality by defining new functions.  Fortran and C
 code can be linked and called at run time.
 .
 S is the statistician's Matlab and R is to S what Octave is to Matlab.
 .
 This package provides the executable linked with the GNOME libraries
 for use as
 .
 R --gui=GNOME

Package: r-doc-pdf
Architecture: all
Section: doc
Suggests: xpdf | acroread | pdf-viewer, r-base
Description: `GNU S' documentation in pdf format
 R is described by its authors as "not unlike" S, which is a language
 developed at Bell Laboratories for statistical computing and graphics.
 It provides support for a variety of statistical and graphical analyses.
 R is a true computer language which contains a number of control-flow
 constructions for iteration and alternation.  It allows users to add
 additional functionality by defining new functions.  Fortran and C
 code can be linked and called at run time.
 .
 S is the statistician's Matlab and R is to S what Octave is to Matlab.
 .
 This packages provides the documentation for R in pdf format.

Package: r-base-dev
Architecture: all
Depends: g77, blas-dev (>= 1.0-9), make
Description: Allow installation of auxillary R packages
 R is described by its authors as "not unlike" S, which is a language
 developed at Bell Laboratories for statistical computing and graphics.
 It provides support for a variety of statistical and graphical analyses.
 R is a true computer language which contains a number of control-flow
 constructions for iteration and alternation.  It allows users to add
 additional functionality by defining new functions.  Fortran and C
 code can be linked and called at run time.
 .
 S is the statistician's Matlab and R is to S what Octave is to Matlab.
 .
 This packages ensures that other Debian packages needed for installation of
 some auxillary R packages are installed.
